选择对象时添加选项(KeyWord)

 

复制代码
        Dim doc As Autodesk.AutoCAD.ApplicationServices.Document = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument
        Dim ed As Autodesk.AutoCAD.EditorInput.Editor = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument.Editor

ss1:
        Dim CurOption1 As PromptSelectionOptions = New PromptSelectionOptions()
        With CurOption1
            .RejectObjectsOnLockedLayers = True
            .AllowSubSelections = False

            .Keywords.Add("Delete", "Cl", "清除标注信息(Cl)")
            .Keywords.Add("Add", "Ad", "添加标注信息(Ad)")
            .Keywords.Add("RotateUCS", "Ro", "旋转坐标系(Ro)")

            .MessageForAdding = "请选择标注 或" & CurOption1.Keywords.GetDisplayString(True)
            .MessageForRemoval = "请选择标注 或" & CurOption1.Keywords.GetDisplayString(True)
        End With

        Dim filList() As TypedValue = {New TypedValue(0, "DIMENSION")} '{New TypedValue(DxfCode.Start, "text")}
        Dim filter As New SelectionFilter(filList)

        '' Adds the event handler for keyword input
        AddHandler CurOption1.KeywordInput, AddressOf SelectionKeywordInputHandler

        Dim prEntRes As PromptSelectionResult = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument.Editor.GetSelection(CurOption1, filter)


  Private Sub SelectionKeywordInputHandler(ByVal sender As Object, ByVal eSelectionInput As SelectionTextInputEventArgs)
        '''
    End Sub


复制代码

 

posted @   rf8862  阅读(649)  评论(0编辑  收藏  举报
编辑推荐:
· Linux系列:如何用heaptrack跟踪.NET程序的非托管内存泄露
· 开发者必知的日志记录最佳实践
· SQL Server 2025 AI相关能力初探
· Linux系列:如何用 C#调用 C方法造成内存泄露
· AI与.NET技术实操系列(二):开始使用ML.NET
阅读排行:
· 被坑几百块钱后,我竟然真的恢复了删除的微信聊天记录!
· 没有Manus邀请码?试试免邀请码的MGX或者开源的OpenManus吧
· 【自荐】一款简洁、开源的在线白板工具 Drawnix
· 园子的第一款AI主题卫衣上架——"HELLO! HOW CAN I ASSIST YOU TODAY
· Docker 太简单,K8s 太复杂?w7panel 让容器管理更轻松!
点击右上角即可分享
微信分享提示